Subject: [AVT] Payload Type for MPEG-4

From: Dunman Teo <[email-masked]>
Date: 19 Feb 2002 08:11:29 SGT

Hi all, 

I am a newbie to RTP hence I hope I am not asking too much stupid questions.
:p

Can anyone help me by telling me the value of the Payload Type field in the
RTP header for MPEG-4 Video? I know there is one for MPEG-2 video but there
does not seem to be one for MPEG-4. I also read somewhere on the internet that
it depends on the features of MPEG-4 that we use. Is that correct? If that is
the case, is there a document on the complete list of Payload Types? 

Thank you!

Regards,
Dunman

____________________________________________________________________
Get free e-mail and a permanent address at http://www.amexmail.com/?A=1

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt

---

From: "Marshall Eubanks" <[email-masked]>
Date: Mon, 18 Feb 2002 21:19:13 -0500

On 19 Feb 2002 08:11:29 SGT
> the case, is there a document on the complete list of

Hello;

New audio / video profiles are not going to get 
a static Payload Type. For more information about dynamic
payload types and the
reasoning here, read Section 3.1 in 
http://www.ietf.org/internet-drafts/draft-ietf-avt-profile-new-12.txt

   This specification establishes the policy that no
   additional static
   payload types will be assigned beyond the ones defined in 
   this document.

RFC 3016 makes it clear that this is true for MPEG-4 in
Sections 3.1 and 4.2 :

   It is expected that the RTP profile for a particular
   class of applications will assign a payload type for this   
   encoding, or if that is not done then a payload type in 
   the dynamic range shall   be chosen by means of an out of 
   band signaling protocol (e.g., H.245,   SIP, etc).  In 
   the dynamic assignment of RTP payload types for   
   scalable streams, a different value SHOULD be assigned to 
   each layer. The assigned values SHOULD be in order of 
   enhance layer dependency,   where the base layer has the 
   smallest value.

Regards
Marshall Eubanks
[email-masked]